/*-
 * ~~~~~~licensing~~~~~~
 * events-rest
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.core.events.rest.response;

import java.util.List;
import java.util.Map;

public class CreateTopicResponse extends JsonSuccessResponse {

    private Map<String, List<String>> subscriberErrors;
    private Map<String, List<String>> publisherErrors;

    public Map<String, List<String>> getSubscriberErrors() {
        return subscriberErrors;
    }

    public void setSubscriberErrors(Map<String, List<String>> subscriberErrors) {
        this.subscriberErrors = subscriberErrors;
    }

    public Map<String, List<String>> getPublisherErrors() {
        return publisherErrors;
    }

    public void setPublisherErrors(Map<String, List<String>> publisherErrors) {
        this.publisherErrors = publisherErrors;
    }

    public static CreateTopicResponse getInstance(String title, String topicName,
                                                  Map<String, List<String>> subscriberErrors, Map<String, List<String>> publisherErrors) {
        CreateTopicResponse response = new CreateTopicResponse();

        response.setTitle(title);
        response.setTopicName(topicName);
        response.setSubscriberErrors(subscriberErrors);
        response.setPublisherErrors(publisherErrors);

        return response;
    }

}
